version: '3.3'

services:
  vaultwarden:
    image: vaultwarden/server:alpine
    container_name: vault-warden
    restart: always
    environment:
      - TZ=Asia/Shanghai
    ports:
      - 1314:80  # Vaultwarden 映射端口
      - 3012:3012  # Websocket 映射端口
    volumes:
      - '/data/vault-warden/persist-data:/data'
    env_file:
      - /root/app-install/vault-warden/vault.env  # 环境变量路径